package kr.co.hanwha.hifive.enums;

/**
 * Notification 상세 이동 경로 정의
 * <p>
 * Created by sanghoonkwon on 2018. 2. 12..
 */

public enum LandingType {
    /**
     * Default(설정 되어 있는 기본 탭)
     */
    MAIN(10),
    /**
     * MAIN - T0DO
     */
    MAIN_TODO(1),
    /**
     * MAIN - T0DO - 내 업무
     */
    MAIN_TODO_ASSIGNED(2),
    /**
     * MAIN - T0DO - 요청함
     */
    MAIN_TODO_REQUEST(3),
    /**
     * MAIN - UNIT
     */
    MAIN_UNIT(5),
    /**
     * MAIN - DASHBOARD
     */
    MAIN_DASHBOARD(6),
    /**
     * MAIN - DASHBOARD - UNIT
     */
    MAIN_DASHBOARD_UNIT(7),
    /**
     * MAIN - SETTING
     */
    MAIN_SETTING(31),
    /**
     * MAIN - SETTING - 보안 확인 페이지(TBD)
     */
    MAIN_SETTING_TBD(32),
    /**
     * MAIN - SETTING - 공지사항(TBD)
     */
    MAIN_SETTING_NOTICE(33),
    /**
     * TASK 상세
     */
    TASK_DETAIL(20),
    /**
     * TASK 상세 - 댓글
     */
    TASK_DETAIL_COMMENT(21),
    /**
     * 알림 목록
     */
    ALARM_LIST(40),
    /**
     * 웹뷰
     */
    WEBVIEW(50);


    private int mType;

    LandingType(int type) {
        mType = type;
    }

    public int getCode() {
        return mType;
    }
}
